ONVIF::Media::Types::Config(3)

NAME
ONVIF::Media::Types::Config

DESCRIPTION
Perl data type class for the XML Schema defined complexType Config from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Parameters

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::Config
   Parameters =>  { # ONVIF::Media::Types::ItemList
     SimpleItem => ,
     ElementItem =>  {
     },
     Extension =>  { # ONVIF::Media::Types::ItemListExtension
     },
   },
 },

  attr
NOTE: Attribute documentation is experimental, and may be inaccurate. See the correspondent WSDL/XML Schema if in question.

This class has additional attributes, accessibly via the "attr()" method.

attr() returns an object of the class ONVIF::Media::Types::Config::_Config::XmlAttr.

The following attributes can be accessed on this object via the corresponding get_/set_ methods:

•   Name

     Name of the configuration.

    This attribute is of type SOAP::WSDL::XSD::Typelib::Builtin::string.

•   Type

     Type of the configuration represented by a unique QName. The Type characterizes a ConfigDescription defining the Parameters.

    This attribute is of type SOAP::WSDL::XSD::Typelib::Builtin::QName.

AUTHOR
Generated by SOAP::WSDL